Closed Bug 644438 Opened 11 years ago Closed 11 years ago

Update to Firefox 4.0 offered to Firefox 3.6.X/3.5.X users on PPC Macs via firstrun page

Categories

(www.mozilla.org :: General, defect)

PowerPC
macOS
defect
Not set
major

Tracking

(Not tracked)

RESOLVED DUPLICATE of bug 644255

People

(Reporter: smichaud, Unassigned)

Details

I just got prompted to update to Firefox 4.0 on a PPC Mac running FF 3.6.16.

Firefox 4.0 by design doesn't work on PPC Macs.  We shouldn't be offering an update that we know won't work.
This also happens with FF 3.5.X users on PPC Macs.
Summary: Update to Firefox 4.0 offered to Firefox 3.6.X users on PPC Macs → Update to Firefox 4.0 offered to Firefox 3.6.X/3.5.X users on PPC Macs
(In reply to comment #2)
> I just got prompted to update to Firefox 4.0 on a PPC Mac running FF 3.6.16.
>
> Firefox 4.0 by design doesn't work on PPC Macs.  We shouldn't be offering an
> update that we know won't work.

Correct, 10.4PPC users should not be prompted to upgrade to FF4.0. 

We had a few different things possibly going on here, can you clarify if: 
1) you upgraded to FF3.6.16 as expected, and then see on the firstrun page instructions to get FF4.0? If so this is fixed today, see bug#644255.
2) you upgraded to FF3.6.16 as expected, and then do "help->CheckForUpdates" to receive MU dialog box and installed nonPPC FF4.0 onto your PPC machine. If so this was fixed yesterday mid-day, see bug#643860.
3) you see something else?
> 1) you upgraded to FF3.6.16 as expected, and then see on the
> firstrun page instructions to get FF4.0? If so this is fixed today,
> see bug#644255.

This happened (with the firstrun page) when I upgraded to FF 3.6.16.
It also still happens (with the firstrun page) whenever I run FF
3.6.16 after having run FF 3.5.X.

So whatever fix you made hasn't yet worked it's way through the pipe
to me.

The same things happened (and still happen) with FF 3.5.18.

> 2) you upgraded to FF3.6.16 as expected, and then do
> "help->CheckForUpdates" to receive MU dialog box and installed
> nonPPC FF4.0 onto your PPC machine. If so this was fixed yesterday
> mid-day, see bug#643860.

I just tried this in both FF 3.6.16 and FF 3.5.18.  In both of them it
worked correctly -- I was told no major updates are available.

> 10.4PPC users should not be prompted to upgrade to FF4.0.

Neither should 10.5 PPC users.

I don't have a 10.5 installed on my PPC box, so I can't test this
combination.  But I think Marcia still has one she can test.
no major updates are available -> "No updates found"
This is a website issue, by my reading of the bug, so off to the correct component.
Component: Release Engineering → www.mozilla.com
Product: mozilla.org → Websites
QA Contact: release → www-mozilla-com
Summary: Update to Firefox 4.0 offered to Firefox 3.6.X/3.5.X users on PPC Macs → Update to Firefox 4.0 offered to Firefox 3.6.X/3.5.X users on PPC Macs via firstrun page
>> 1) you upgraded to FF3.6.16 as expected, and then see on the
>> firstrun page instructions to get FF4.0? If so this is fixed today,
>> see bug#644255.
>
> This happened (with the firstrun page) when I upgraded to FF 3.6.16.
> It also still happens (with the firstrun page) whenever I run FF
> 3.6.16 after having run FF 3.5.X.
>
> So whatever fix you made hasn't yet worked it's way through the pipe
> to me.
>
> The same things happened (and still happen) with FF 3.5.18.

This morning this is still happening.  So apparently bug 644255
*hasn't* been fixed.
I should have mentioned that I'm testing on a G4 PPC Mac running OS X 10.4.11.
(In reply to comment #3)
> > 1) you upgraded to FF3.6.16 as expected, and then see on the
> > firstrun page instructions to get FF4.0? If so this is fixed today,
> > see bug#644255.
> 
> This happened (with the firstrun page) when I upgraded to FF 3.6.16.
> It also still happens (with the firstrun page) whenever I run FF
> 3.6.16 after having run FF 3.5.X.
> 
> So whatever fix you made hasn't yet worked it's way through the pipe
> to me.
> 
> The same things happened (and still happen) with FF 3.5.18.
> 
> > 2) you upgraded to FF3.6.16 as expected, and then do
> > "help->CheckForUpdates" to receive MU dialog box and installed
> > nonPPC FF4.0 onto your PPC machine. If so this was fixed yesterday
> > mid-day, see bug#643860.
> I just tried this in both FF 3.6.16 and FF 3.5.18.  In both of them it
> worked correctly -- I was told no major updates are available.

Cool, that confirms what we see on our side - the updates to FF4.0 are (correctly) not being offered to PPC users.


> > 10.4PPC users should not be prompted to upgrade to FF4.0. 
> Neither should 10.5 PPC users.
Agreed.



(In reply to comment #5)
> This is a website issue, by my reading of the bug, so off to the correct
> component.

correct. Looking further, is this a DUP of bug#644255 ?
> is this a DUP of bug#644255?

Yes.  I've reopened bug 644255 and am following up there.
Status: NEW → RESOLVED
Closed: 11 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 644255
Component: www.mozilla.org/firefox → www.mozilla.org
Component: www.mozilla.org → General
Product: Websites → www.mozilla.org
You need to log in before you can comment on or make changes to this bug.